Request an approval
POST
/
v1
/
requests
/
{request_uid}
/
approvals
Request an approval
curl --request POST \
--url https://api.siit.io/v1/requests/{request_uid}/approvals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body_markdown": "<string>",
"approver_uids": "<array>",
"add_to_followers": false,
"body_text": "<string>",
"sent_by": "<string>"
}
'import requests
url = "https://api.siit.io/v1/requests/{request_uid}/approvals"
payload = {
"body_markdown": "<string>",
"approver_uids": "<array>",
"add_to_followers": False,
"body_text": "<string>",
"sent_by": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
body_markdown: '<string>',
approver_uids: '<array>',
add_to_followers: false,
body_text: '<string>',
sent_by: '<string>'
})
};
fetch('https://api.siit.io/v1/requests/{request_uid}/approvals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"uid": "<string>",
"approver_uids": [
"<string>"
],
"request_approvals": [
"<string>"
],
"body_text": "<string>",
"body_markdown": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"event_type": "requested_approval",
"sender_type": "user",
"sent_by": "<string>",
"sent_by_uid": "<string>",
"submitted_from": "public_api"
}
}{
"error": "<string>",
"troubleshoot": "<string>"
}Usage
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UID (or friendly_id) of the request
Body
application/json
Content of the approval request as markdown. Takes precedence over body_text when both are provided.
UID of one or more users
Whether approvers should be added to followers of the request
please use "body_markdown" instead
Optional UID of another admin user that should be considered authoring approval request
Response
Created
Show child attributes
Show child attributes
⌘I
Request an approval

